Skip to main content

Host APIs

Host APIs provide detailed information about a specific host, including DNS records, certificates, exposed ports, cloud metadata, and detected technologies.

Get Host Details

Get detailed information about a specific host.

HTTP Request

GET https://fullhunt.io/api/v1/host/<host>

URL Parameters

ParameterDescription
hostThe hostname to query (e.g., fthub.kaspersky.com)

Example Request

curl "https://fullhunt.io/api/v1/host/fthub.kaspersky.com" \
-H "X-API-KEY: xxxx-xxxx-xxxx-xxxxxx"

Example Response

{
"host": "s252.cloud.kaspersky.com",
"domain": "kaspersky.com",
"ip_address": "101.46.33.250",
"http_status_code": 200,
"http_title": "Kaspersky Endpoint Security Cloud",
"is_live": true,
"is_resolvable": true,
"is_cloud": true,
"is_cdn": false,
"is_cloudflare": false,
"has_ipv6": false,
"has_private_ip": false,
"cdn": "CloudFlare",
"categories": ["Web-Servers"],
"dns": {
"a": ["101.46.33.250"],
"aaaa": [],
"cname": [],
"mx": [],
"ns": [],
"ptr": ["ecs-101-46-33-250.compute.hwclouds-dns.eu."],
"txt": []
},
"cert_object": {
"subject_common_name": "*.cloud.kaspersky.com",
"issuer_common_name": "DigiCert Global G2 TLS RSA SHA256 2020 CA1",
"issuer_organization": "DigiCert Inc",
"not_before": "15-04-2025 00:00:00",
"not_after": "14-04-2026 23:59:59",
"signature_algorithm": "SHA256-RSA",
"dns_names": ["s252.cloud.kaspersky.com", "*.cloud.kaspersky.com"],
"ip_addresses": ["101.46.33.250"],
"is_valid_hostname": true,
"sha256_fingerprint": "74:86:46:C4:AF:80:E7:60:..."
},
"cloud": {
"provider": "Huawei Cloud",
"region": "ap-southeast-1"
},
"ip_metadata": {
"asn": 136907,
"isp": "HUAWEI CLOUDS",
"organization": "HUAWEI CLOUDS",
"country_code": "SG",
"country_name": "Singapore",
"city_name": "Singapore",
"region": "Central Region",
"location_latitude": 1.3673,
"location_longitude": 103.8014,
"postal_code": "018956"
},
"network_ports": [8000, 8080, 8081, 9443],
"network_services": [
{
"port": 8080,
"type": "tcp",
"service": ["https"],
"httpstatuscode": 200,
"httptitle": "Kaspersky Endpoint Security Cloud",
"httpfavicon": "abeeb96320c2f5bec5e40c1d436836be",
"banner": "200 OK\r\nContent-Type: text/html; charset=utf-8\r\n...",
"category": ["Web-Servers"],
"product": [
{
"name": "Microsoft ASP.NET",
"version": "5.0",
"cpe23": ["cpe:2.3:a:microsoft:asp.net:*:*:*:*:*:*:*:*"],
"maincpe": "cpe:2.3:a:microsoft:asp.net"
}
],
"web": ["HSTS"],
"ssljarm": "29d29d00029d29d00042d42d000000..."
}
// ... additional network services omitted
],
"products": [
{"name": "Microsoft-Kestrel", "version": ""},
{"name": "Apache", "version": ""}
],
"tags": ["https", "microsoft-kestrel", "web-servers", "apache"],
"tld": "com",
"urls": [
"https://s252.cloud.kaspersky.com:8080",
"https://s252.cloud.kaspersky.com:8081",
"https://s252.cloud.kaspersky.com:9443"
],
"web": ["HSTS", "Microsoft ASP.NET", "Windows Server", "Kestrel"]
}

Response Fields

Core fields

FieldTypeDescription
hoststringFully qualified hostname
domainstringParent domain
ip_addressstringResolved IPv4 address
http_status_codeintegerHTTP response status code
http_titlestringHTML <title> of the page
is_livebooleanWhether the host is currently reachable
is_resolvablebooleanWhether DNS resolves to an IP
is_cloudbooleanWhether hosted on a cloud provider
is_cdnbooleanWhether served through a CDN
is_cloudflarebooleanWhether behind Cloudflare specifically
has_ipv6booleanWhether an AAAA record exists
has_private_ipbooleanWhether the IP is in a private range
cdnstringCDN provider name (if detected)
categoriesarrayService categories (e.g., Web-Servers)
tagsarraySearchable tags for the host
tldstringTop-level domain

DNS object

FieldTypeDescription
aarrayIPv4 address records
aaaaarrayIPv6 address records
cnamearrayCanonical name records
mxarrayMail exchange records
nsarrayName server records
ptrarrayReverse DNS pointer records
txtarrayText records

Certificate object (cert_object)

FieldTypeDescription
subject_common_namestringCertificate subject CN
issuer_common_namestringCertificate issuer CN
issuer_organizationstringIssuing organization
not_beforestringCertificate validity start
not_afterstringCertificate expiry date
signature_algorithmstringSigning algorithm
dns_namesarraySubject Alternative Names
ip_addressesarrayIP SANs
is_valid_hostnamebooleanWhether cert matches the hostname
sha256_fingerprintstringSHA-256 fingerprint

IP metadata object (ip_metadata)

FieldTypeDescription
asnintegerAutonomous System Number
ispstringInternet Service Provider
organizationstringRegistered organization
country_codestringISO 3166-1 alpha-2 country code
country_namestringFull country name
city_namestringCity name
regionstringGeographic region
location_latitudefloatLatitude
location_longitudefloatLongitude

Network service object (network_services[])

FieldTypeDescription
portintegerPort number
typestringProtocol type (tcp, udp)
servicearrayDetected services (e.g., https)
httpstatuscodeintegerHTTP status code on this port
httptitlestringPage title on this port
httpfaviconstringMD5 hash of the favicon
bannerstringRaw HTTP response banner
categoryarrayService categories
productarrayDetected products with CPE identifiers
webarrayWeb technologies on this port
ssljarmstringJARM TLS fingerprint